You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     k...@freebsd.org
Last committer: rak...@freebsd.org
Ident:          $FreeBSD: head/devel/py-qt5-designerplugin/Makefile 460949 
2018-02-04 20:56:45Z rakuco $
Log URL:        
http://beefy11.nyi.freebsd.org/data/head-i386-default/p466934_s332344/logs/py27-qt5-designerplugin-5.9.2_1.log
Build URL:      
http://beefy11.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p466934_s332344
Log:

=>> Building devel/py-qt5-designerplugin
build started at Tue Apr 10 04:02:57 UTC 2018
port directory: /usr/ports/devel/py-qt5-designerplugin
package name: py27-qt5-designerplugin-5.9.2_1
building for: FreeBSD head-i386-default-job-19 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200061 i386
maintained by: k...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/py-qt5-designerplugin/Makefile 460949 
2018-02-04 20:56:45Z rakuco $
Poudriere version: 3.2.6-1-ga0ae87a0
Host OSVERSION: 1200060
Jail OSVERSION: 1200061
Job Id: 19




!!! Jail is newer than host. (Jail: 1200061, Host: 1200060) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1200061
UNAME_v=FreeBSD 12.0-CURRENT 1200061
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.6-1-ga0ae87a0
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py27
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py27
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for 
py27-qt5-designerplugin-5.9.2_1:
     DEBUG=off: Build with debugging support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
k...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--enable QtDesigner -b /usr/local/bin  -d 
/usr/local/lib/python2.7/site-packages  -q /usr/local/lib/qt5/bin/qmake  
--confirm-license  --sip /usr/local/bin/sip-2.7  --sipdir 
/usr/local/share/py-sip/PyQt5
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
QT_SELECT=qt5 
QMAKEMODULES="/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/PyQt5_gpl-5.9.2/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules"
 PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
QT_SELECT=qt5 
QMAKEMODULES="/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/PyQt5_gpl-5.9.2/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules"
 XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_IN
 STALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" QT_BINDIR="lib/qt5/bin" QT_INCDIR="include/qt5" 
QT_LIBDIR="lib/qt5" QT_ARCHDIR="lib/qt5" QT_PLUGINDIR="lib/qt5/plugins" 
QT_LIBEXECDIR="libexec/qt5" QT_IMPORTDIR="lib/qt5/imports" 
QT_QMLDIR="lib/qt5/qml" QT_DATADIR="share/qt5" QT_DOCDIR="share/doc/qt5" 
QT_L10NDIR="share/qt5/translations" QT_EXAMPLEDIR="share/examples/qt5" 
QT_TESTDIR="share/qt5/tests" QT_MKSPECDIR="lib/qt5/mkspecs" 
QT_QTCHOOSERDIR="etc/xdg/qtchooser" PYTHON_INCLUDEDIR=include/python2.7  
PYTHON_LIBDIR=lib/python2.7  PYTHON_PLATFORM=freebsd12  PYTHON_PYOEXTENSION=pyo 
 PYTHON_SITELIBDIR=lib/python2.7/site-packages  PYTHON_SUFFIX=27  
PYTHON_VER=2.7  PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " 
PYQT_SIPDIR=share/py-sip/PyQt5 OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  
RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/designerplugin"  
EXAMPLESDIR="share/examples/designerplugin"  DATADIR="share/designerplugin"  
WWWDIR="www/designerplugin"  ETCDIR="etc/designerplugin"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/designerplugin 
DOCSDIR=/usr/local/share/doc/designerplugin 
EXAMPLESDIR=/usr/local/share/examples/designerplugin  
WWWDIR=/usr/local/www/designerplugin ETCDIR=/usr/local/etc/designerplugin
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 326565) 
(based on LLVM 6.0.0) Target: i386-unknown-freebsd12.0 Thread model: posix 
InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 
326565) (based on LLVM 6.0.0) Target: i386-unknown-freebsd12.0 Thread model: 
posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" 
"/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" 
"elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" 
"/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" 
"--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" 
"--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 
326565) (based on LLVM 6.0.0) Target: i386-unknown-freebsd12.0 Thread model: 
posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=12.0-CURRENT
OSREL=12.0
OSVERSION=1200061
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: /usr/local/sbin/pkg - 
not found
===>   Installing existing package /packages/All/pkg-1.10.5.txz
[head-i386-default-job-19] Installing pkg-1.10.5...
[head-i386-default-job-19] Extracting pkg-1.10.5: .......... done
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: /usr/local/sbin/pkg - 
found
===>   Returning to build of py27-qt5-designerplugin-5.9.2_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-qt5-designerplugin-5.9.2_1 for 
building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-qt5-designerplugin-5.9.2_1 for 
building
=> SHA256 Checksum OK for PyQt5_gpl-5.9.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py27-qt5-designerplugin-5.9.2_1 for 
building
===>  Extracting for py27-qt5-designerplugin-5.9.2_1
=> SHA256 Checksum OK for PyQt5_gpl-5.9.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-qt5-designerplugin-5.9.2_1
===>  Applying FreeBSD patches for py27-qt5-designerplugin-5.9.2_1
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: 
/usr/local/bin/python2.7 - not found
===>   Installing existing package /packages/All/python27-2.7.14_1.txz
[head-i386-default-job-19] Installing python27-2.7.14_1...
[head-i386-default-job-19] `-- Installing gettext-runtime-0.19.8.1_1...
[head-i386-default-job-19] |   `-- Installing indexinfo-0.3.1...
<snip>
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was 
installed).
Message from ca_root_nss-3.36.1:

********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from dejavu-2.37:

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from qt5-sql-5.9.4_1:

======================================================================

To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt5-sqldrivers-ibase       InterBase/Firebird
 - databases/qt5-sqldrivers-mysql       MySQL
 - databases/qt5-sqldrivers-odbc        Open Database Connectivity
 - databases/qt5-sqldrivers-pgsql       PostgreSQL
 - databases/qt5-sqldrivers-sqlite2     SQLite 2
 - databases/qt5-sqldrivers-sqlite3     SQLite 3
 - databases/qt5-sqldrivers-tds         FreeTDS

======================================================================
Message from trousers-0.3.14_2:

To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: 
/usr/local/lib/qt5/bin/designer - found
===>   Returning to build of py27-qt5-designerplugin-5.9.2_1
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: 
/usr/local/lib/qt5/bin/qmake - not found
===>   Installing existing package /packages/All/qt5-qmake-5.9.4_1.txz
[head-i386-default-job-19] Installing qt5-qmake-5.9.4_1...
[head-i386-default-job-19] Extracting qt5-qmake-5.9.4_1: .......... done
===>   py27-qt5-designerplugin-5.9.2_1 depends on file: 
/usr/local/lib/qt5/bin/qmake - found
===>   Returning to build of py27-qt5-designerplugin-5.9.2_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-qt5-designerplugin-5.9.2_1 depends on shared library: libQt5Core.so 
- found (/usr/local/lib/qt5/libQt5Core.so)
===>   py27-qt5-designerplugin-5.9.2_1 depends on shared library: libQt5Gui.so 
- found (/usr/local/lib/qt5/libQt5Gui.so)
===>   py27-qt5-designerplugin-5.9.2_1 depends on shared library: 
libQt5Widgets.so - found (/usr/local/lib/qt5/libQt5Widgets.so)
===>   py27-qt5-designerplugin-5.9.2_1 depends on shared library: libQt5Xml.so 
- found (/usr/local/lib/qt5/libQt5Xml.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-qt5-designerplugin-5.9.2_1
cd /wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/PyQt5_gpl-5.9.2 && 
/usr/bin/env QT_SELECT=qt5 
QMAKEMODULES="/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/PyQt5_gpl-5.9.2/mkspecs/modules:/usr/local/lib/qt5/mkspecs/modules"
 PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27  
HOME=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh  /usr/local/bin/python2.7 configure.py 
--enable QtDesigner -b /usr/local/bin  -d 
/usr/local/lib/python2.7/site-packages  -q /usr/local/lib/qt5/bin/qmake  
--confirm-license  --sip /usr/local/bin/sip-2.7  --sipdir 
/usr/local/share/py-sip/PyQt5
Querying qmake about your Qt installation...
Determining the details of your Qt installation...
This is the GPL version of PyQt 5.9.2 (licensed under the GNU General Public
License) for Python 2.7.14 on freebsd12.
Found the license file pyqt-gpl.sip.
Qt v5.9.4 is being used.
The qmake executable is /usr/local/lib/qt5/bin/qmake.
Qt is built as a shared library.
SIP 4.19.8 is being used.
The sip executable is /usr/local/bin/sip-2.7.
These PyQt5 modules will be built: QtDesigner.
The PyQt5 Python package will be installed in
/usr/local/lib/python2.7/site-packages.
PyQt5 is being built with generated docstrings.
PyQt5 is being built with 'protected' redefined as 'public'.
The Designer plugin will be installed in /usr/local/lib/qt5/plugins/designer.
The qmlscene plugin will be installed in /usr/local/lib/qt5/plugins/PyQt5.
The PyQt5 PEP 484 stub files will be installed in
/usr/local/lib/python2.7/site-packages/PyQt5.
The PyQt5 .sip files will be installed in /usr/local/share/py-sip/PyQt5.
pyuic5, pyrcc5 and pylupdate5 will be installed in /usr/local/bin.
The interpreter used by pyuic5 is /usr/local/bin/python2.7.
Generating the C++ source for the QtDesigner module...
Generating the .pro file for the QtDesigner module...
Generating the Qt Designer plugin .pro file...
Generating the top-level .pro file...
Generating the Makefiles...
===========================================================================
=======================<phase: build          >============================
===>  Building for py27-qt5-designerplugin-5.9.2_1
clang++ -c -pipe -O2 -Wall -W -pthread -fPIC -DPYTHON_LIB=\"libpython2.7.so\" 
-DQT_NO_DEBUG -DQT_PLUGIN -DQT_DESIGNER_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB 
-DQT_XML_LIB -DQT_CORE_LIB -I. -I/usr/local/include/python2.7 -I. 
-I/usr/local/include/qt5 -I/usr/local/include/qt5/QtDesigner 
-I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui 
-I/usr/local/include/qt5/QtXml -I/usr/local/include/qt5/QtCore -I. 
-I/usr/local/include -I/usr/local/include/libdrm -I/usr/local/include 
-I/usr/local/lib/qt5/mkspecs/freebsd-clang -o pluginloader.o pluginloader.cpp
In file included from pluginloader.cpp:24:
In file included from ./pluginloader.h:26:
In file included from /usr/local/include/python2.7/Python.h:85:
/usr/local/include/python2.7/unicodeobject.h:534:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register PyObject *obj,     /* Object */
    ^~~~~~~~~
/usr/local/include/python2.7/unicodeobject.h:553:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register PyObject *obj      /* Object */
    ^~~~~~~~~
/usr/local/include/python2.7/unicodeobject.h:575:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register const wchar_t *w,  /* wchar_t buffer */
    ^~~~~~~~~
/usr/local/include/python2.7/unicodeobject.h:593:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register wchar_t *w,        /* wchar_t buffer */
    ^~~~~~~~~
In file included from pluginloader.cpp:24:
In file included from ./pluginloader.h:26:
In file included from /usr/local/include/python2.7/Python.h:94:
/usr/local/include/python2.7/stringobject.h:173:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register PyObject *obj,     /* string or Unicode object */
    ^~~~~~~~~
/usr/local/include/python2.7/stringobject.h:174:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register char **s,          /* pointer to buffer variable */
    ^~~~~~~~~
/usr/local/include/python2.7/stringobject.h:175:5: warning: 'register' storage 
class specifier is deprecated and incompatible with C++17 
[-Wdeprecated-register]
    register Py_ssize_t *len    /* pointer to length variable or NULL
    ^~~~~~~~~
In file included from pluginloader.cpp:24:
./pluginloader.h:39:30: error: unknown class name 
'QDesignerCustomWidgetCollectionInterface'; did you mean 
'QDesignerCustomWidgetInterface'?
    : public QObject, public QDesignerCustomWidgetCollectionInterface
                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                             QDesignerCustomWidgetInterface
./pluginloader.h:34:7: note: 'QDesignerCustomWidgetInterface' declared here
class QDesignerCustomWidgetInterface;
      ^
./pluginloader.h:39:30: error: base class has incomplete type
    : public QObject, public QDesignerCustomWidgetCollectionInterface
                      ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/qt5/QtDesigner/formbuilder.h:53:7: note: forward declaration 
of 'QDesignerCustomWidgetInterface'
class QDesignerCustomWidgetInterface;
      ^
In file included from pluginloader.cpp:37:
./../qpy/QtDesigner/qpydesignercustomwidgetplugin.h:30:62: error: base class 
has incomplete type
class QPyDesignerCustomWidgetPlugin : public QObject, public 
QDesignerCustomWidgetInterface
                                                      
~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/qt5/QtDesigner/formbuilder.h:53:7: note: forward declaration 
of 'QDesignerCustomWidgetInterface'
class QDesignerCustomWidgetInterface;
      ^
pluginloader.cpp:292:21: error: no matching member function for call to 'append'
            widgets.append(reinterpret_cast<QPyDesignerCustomWidgetPlugin 
*>(addr));
            ~~~~~~~~^~~~~~
/usr/local/include/qt5/QtCore/qlist.h:204:10: note: candidate function not 
viable: no known conversion from 'QPyDesignerCustomWidgetPlugin *' to 
'QDesignerCustomWidgetInterface *const' for 1st argument
    void append(const T &t);
         ^
/usr/local/include/qt5/QtCore/qlist.h:205:10: note: candidate function not 
viable: no known conversion from 'QPyDesignerCustomWidgetPlugin *' to 'const 
QList<QDesignerCustomWidgetInterface *>' for 1st argument
    void append(const QList<T> &t);
         ^
7 warnings and 4 errors generated.
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/devel/py-qt5-designerplugin/work-py27/PyQt5_gpl-5.9.2/designer
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-qt5-designerplugin
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to